com.amazonaws.services.simpleworkflow.model

## Class WorkflowExecutionCancelRequestedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.WorkflowExecutionCancelRequestedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class WorkflowExecutionCancelRequestedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `WorkflowExecutionCancelRequested` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WorkflowExecutionCancelRequestedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkflowExecutionCancelRequestedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getCause()` If set, indicates that the request to cancel the workflow execution was automatically generated, and specifies the cause.
`Long` `getExternalInitiatedEventId()` The ID of the `RequestCancelExternalWorkflowExecutionInitiated` event corresponding to the `RequestCancelExternalWorkflowExecution` decision to cancel this workflow execution.The source event with this ID can be found in the history of the source workflow execution.
`WorkflowExecution` `getExternalWorkflowExecution()` The external workflow execution for which the cancellation was requested.
`int` `hashCode()`
`void` `setCause(String cause)` If set, indicates that the request to cancel the workflow execution was automatically generated, and specifies the cause.
`void` `setCause(WorkflowExecutionCancelRequestedCause cause)` If set, indicates that the request to cancel the workflow execution was automatically generated, and specifies the cause.
`void` `setExternalInitiatedEventId(Long externalInitiatedEventId)` The ID of the `RequestCancelExternalWorkflowExecutionInitiated` event corresponding to the `RequestCancelExternalWorkflowExecution` decision to cancel this workflow execution.The source event with this ID can be found in the history of the source workflow execution.
`void` `setExternalWorkflowExecution(WorkflowExecution externalWorkflowExecution)` The external workflow execution for which the cancellation was requested.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`WorkflowExecutionCancelRequestedEventAttributes` `withCause(String cause)` If set, indicates that the request to cancel the workflow execution was automatically generated, and specifies the cause.
`WorkflowExecutionCancelRequestedEventAttributes` `withCause(WorkflowExecutionCancelRequestedCause cause)` If set, indicates that the request to cancel the workflow execution was automatically generated, and specifies the cause.
`WorkflowExecutionCancelRequestedEventAttributes` `withExternalInitiatedEventId(Long externalInitiatedEventId)` The ID of the `RequestCancelExternalWorkflowExecutionInitiated` event corresponding to the `RequestCancelExternalWorkflowExecution` decision to cancel this workflow execution.The source event with this ID can be found in the history of the source workflow execution.
`WorkflowExecutionCancelRequestedEventAttributes` `withExternalWorkflowExecution(WorkflowExecution externalWorkflowExecution)` The external workflow execution for which the cancellation was requested.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WorkflowExecutionCancelRequestedEventAttributes

    public WorkflowExecutionCancelRequestedEventAttributes()

### Method Detail

#### setExternalWorkflowExecution

    public void setExternalWorkflowExecution(WorkflowExecution externalWorkflowExecution)

The external workflow execution for which the cancellation was requested.

Parameters:
  `externalWorkflowExecution` - The external workflow execution for which the cancellation was requested.

#### getExternalWorkflowExecution

    public WorkflowExecution getExternalWorkflowExecution()

The external workflow execution for which the cancellation was requested.

Returns:
  The external workflow execution for which the cancellation was requested.

#### withExternalWorkflowExecution

    public WorkflowExecutionCancelRequestedEventAttributes withExternalWorkflowExecution(WorkflowExecution externalWorkflowExecution)

The external workflow execution for which the cancellation was requested.

Parameters:
  `externalWorkflowExecution` - The external workflow execution for which the cancellation was requested.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setExternalInitiatedEventId

    public void setExternalInitiatedEventId(Long externalInitiatedEventId)

The ID of the `RequestCancelExternalWorkflowExecutionInitiated` event corresponding to the `RequestCancelExternalWorkflowExecution` decision to cancel this workflow execution.The source event with this ID can be found in the history of the source workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `externalInitiatedEventId` - The ID of the `RequestCancelExternalWorkflowExecutionInitiated` event corresponding to the `RequestCancelExternalWorkflowExecution` decision to cancel this workflow execution.The source event with this ID can be found in the history of the source workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getExternalInitiatedEventId

    public Long getExternalInitiatedEventId()

The ID of the `RequestCancelExternalWorkflowExecutionInitiated` event corresponding to the `RequestCancelExternalWorkflowExecution` decision to cancel this workflow execution.The source event with this ID can be found in the history of the source workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `RequestCancelExternalWorkflowExecutionInitiated` event corresponding to the `RequestCancelExternalWorkflowExecution` decision to cancel this workflow execution.The source event with this ID can be found in the history of the source workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withExternalInitiatedEventId

    public WorkflowExecutionCancelRequestedEventAttributes withExternalInitiatedEventId(Long externalInitiatedEventId)

The ID of the `RequestCancelExternalWorkflowExecutionInitiated` event corresponding to the `RequestCancelExternalWorkflowExecution` decision to cancel this workflow execution.The source event with this ID can be found in the history of the source workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `externalInitiatedEventId` - The ID of the `RequestCancelExternalWorkflowExecutionInitiated` event corresponding to the `RequestCancelExternalWorkflowExecution` decision to cancel this workflow execution.The source event with this ID can be found in the history of the source workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCause

    public void setCause(String cause)

If set, indicates that the request to cancel the workflow execution was automatically generated, and specifies the cause. This happens if the parent workflow execution times out or is terminated, and the child policy is set to cancel child executions.

Parameters:
  `cause` - If set, indicates that the request to cancel the workflow execution was automatically generated, and specifies the cause. This happens if the parent workflow execution times out or is terminated, and the child policy is set to cancel child executions.
See Also:
  `WorkflowExecutionCancelRequestedCause`

#### getCause

    public String getCause()

If set, indicates that the request to cancel the workflow execution was automatically generated, and specifies the cause. This happens if the parent workflow execution times out or is terminated, and the child policy is set to cancel child executions.

Returns:
  If set, indicates that the request to cancel the workflow execution was automatically generated, and specifies the cause. This happens if the parent workflow execution times out or is terminated, and the child policy is set to cancel child executions.
See Also:
  `WorkflowExecutionCancelRequestedCause`

#### withCause

    public WorkflowExecutionCancelRequestedEventAttributes withCause(String cause)

If set, indicates that the request to cancel the workflow execution was automatically generated, and specifies the cause. This happens if the parent workflow execution times out or is terminated, and the child policy is set to cancel child executions.

Parameters:
  `cause` - If set, indicates that the request to cancel the workflow execution was automatically generated, and specifies the cause. This happens if the parent workflow execution times out or is terminated, and the child policy is set to cancel child executions.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `WorkflowExecutionCancelRequestedCause`

#### setCause

    public void setCause(WorkflowExecutionCancelRequestedCause cause)

If set, indicates that the request to cancel the workflow execution was automatically generated, and specifies the cause. This happens if the parent workflow execution times out or is terminated, and the child policy is set to cancel child executions.

Parameters:
  `cause` - If set, indicates that the request to cancel the workflow execution was automatically generated, and specifies the cause. This happens if the parent workflow execution times out or is terminated, and the child policy is set to cancel child executions.
See Also:
  `WorkflowExecutionCancelRequestedCause`

#### withCause

    public WorkflowExecutionCancelRequestedEventAttributes withCause(WorkflowExecutionCancelRequestedCause cause)

If set, indicates that the request to cancel the workflow execution was automatically generated, and specifies the cause. This happens if the parent workflow execution times out or is terminated, and the child policy is set to cancel child executions.

Parameters:
  `cause` - If set, indicates that the request to cancel the workflow execution was automatically generated, and specifies the cause. This happens if the parent workflow execution times out or is terminated, and the child policy is set to cancel child executions.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `WorkflowExecutionCancelRequestedCause`

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public WorkflowExecutionCancelRequestedEventAttributes clone()

Overrides:
  `clone` in class `Object`